=== debian/changelog ===
editorconfig-core (0.12.5-2) unstable; urgency=medium

  * update symbols: 1 public symbols added

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 20 Nov 2021 01:37:13 +0100

editorconfig-core (0.12.5-1) experimental; urgency=medium

  [ upstream ]
  * new release(s)

  [ Jonas Smedegaard ]
  * build-depend on libpcre2-dev pkg-config (not libpcre3-dev);
    closes: bug#1000081, thanks to Matthew Vernon
  * use pkgkde-symbolshelper; build-depend on pkg-kde-tools
  * build separately from source
  * update copyright info:
    + update coverage
    + use SPDX shortname BSD-1-Clause
    + sort License sections alphabetically
  * use semantic newlines in long description and copyright fields
  * update patches
  * reference DEP-3 format in patch headers
  * update watch file:
    + simplify regular expression
    + generalize filename mangling
    + set (currently unused) dversionmangle=auto
    + use substitution strings
    + mention gpb --uscan in usage comment
  * install cmake and pkg-config files
  * update symlink to versioned manpage

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 19 Nov 2021 16:17:23 +0100

editorconfig-core (0.12.1-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * use secure https protocol in copyright file Format field URI
  * use package priority optional (not extra) as per policy 4.0.1
  * update Vcs-* fields to use salsa.debian.org

  [ Jonas Smedegaard ]
  * tidy rules file;
    stop build-depend on cdbs devscripts
  * use debhelper compatibility level 13 (not 9);
    build-depend on debhelper-compat (not debhelper)
  * declare compliance with Debian Policy 4.6.0
  * relax to build-depend unversioned on d-shlibs:
    required version satisfied in all supported Debian releases
  * set Rules-Requires-Root: no
  * update copyright info:
    + use Reference field (not License-Reference);
      tighten lintian overrides
    + update coverage
  * drop binary package libeditorconfig0-dbg,
    in favor of auto-generated dbgsym package

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 19 Nov 2021 14:12:22 +0100
