=== debian/changelog ===
editorconfig-core (0.12.6-0.1) unstable; urgency=medium

  * Non-maintainer upload
  * New upstream release
    - CVE-2023-0341 (Fix potential buffer overflow in ec_glob)
  * Cherry-pick patches from test repo to match submodule commit
  * Refresh patches
  * Add patch to workaround doc build failure
  * Update standards version to 4.6.2, no changes needed

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 26 Jan 2023 16:16:53 -0500

editorconfig-core (0.12.5-2.2) unstable; urgency=medium

  * Non-maintainer upload
  * Add autopkgtest

 -- Nathan Pratta Teodosio <nathan.teodosio@canonical.com>  Fri, 21 Oct 2022 09:32:40 -0400

editorconfig-core (0.12.5-2.1) unstable; urgency=medium

  * Non-maintainer upload

  [ Jeremy Bicha ]
  * Add second "orig" tarballs for build tests
  * Update debian/watch & debian/gbp.conf for this to work
  * Update debian/copyright for new component
  * Cherry-pick patches from test repo to match submodule commit
  * debian/libeditorconfig0.symbols: Set Build-Depends-Package
  * debian/rules: Set all hardening flags
  * debian/control: Drop duplicate section field

  [ Debian Janitor ]
  * Set upstream metadata fields

  [ Vagrant Cascadian ]
  * debian/rules: Pass -DCMAKE_BUILD_RPATH_USE_ORIGIN=ON for reproducibility
    (Closes: #1001873)

 -- Jeremy Bicha <jbicha@ubuntu.com>  Fri, 09 Sep 2022 15:42:21 -0400
