=== debian/control ===
--- 
+++ 
@@ -12,18 +12,16 @@
  pkg-kde-tools,
 Maintainer: Jonas Smedegaard <dr@jones.dk>
 Uploaders: Vasudev Kamath <kamathvasudev@gmail.com>
-Standards-Version: 4.6.0
-Homepage: http://editorconfig.org/
+Standards-Version: 4.6.2
+Homepage: https://editorconfig.org/
 Vcs-Git: https://salsa.debian.org/debian/editorconfig-core.git
 Vcs-Browser: https://salsa.debian.org/debian/editorconfig-core
 Rules-Requires-Root: no
 
 Package: libeditorconfig0
-Section: libs
 Architecture: any
 Depends: ${shlibs:Depends},
  ${misc:Depends}
-Pre-Depends: ${misc:Pre-Depends},
 Multi-Arch: same
 Description: coding style indenter across editors - library
  EditorConfig helps developers define and maintain
