=== debian/rules ===
--- 
+++ 
@@ -8,11 +8,13 @@
 # relax symbols check when targeting experimental
 export DPKG_GENSYMBOLS_CHECK_LEVEL=$(if $(EXP_RELEASE),0,1)
 
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+
 %:
-	dh $@ --buildsystem=cmake --builddir=build --with pkgkde_symbolshelper
+	dh $@ --with pkgkde_symbolshelper
 
 override_dh_auto_configure:
-	dh_auto_configure -- -DINSTALL_HTML_DOC=ON
+	dh_auto_configure -- -DINSTALL_HTML_DOC=ON -DCMAKE_BUILD_RPATH_USE_ORIGIN=ON
 
 execute_after_dh_shlibdeps:
 	d-devlibdeps \
