=== debian/changelog ===
editorconfig-core (0.12.7-0.1) unstable; urgency=medium

  * Non-maintainer upload
  * New upstream release
  * Drop obsolete dbgsym migration handling
  * Drop patches applied in new release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 01 Apr 2024 14:31:14 -0400
