=== debian/rules ===
--- 
+++ 
@@ -14,13 +14,14 @@
 	dh $@ --with pkgkde_symbolshelper
 
 override_dh_auto_configure:
-	dh_auto_configure -- -DINSTALL_HTML_DOC=ON -DCMAKE_BUILD_RPATH_USE_ORIGIN=ON
+	dh_auto_configure -- \
+		-DINSTALL_HTML_DOC=ON \
+		-DCMAKE_INSTALL_DOCDIR=/usr/share/doc/editorconfig-doc \
+		-DCMAKE_BUILD_RPATH_USE_ORIGIN=ON
+	
 
 execute_after_dh_shlibdeps:
 	d-devlibdeps \
 		--override s/libeditorconfig0-dev/libeditorconfig-dev/ \
 		debian/libeditorconfig-dev.substvars \
 		debian/tmp/usr/lib/*/*.so
-
-override_dh_strip:
-	dh_strip --dbgsym-migration='libeditorconfig0-dbg (<< 0.12.1-2~)'
