=== debian/watch ===
--- 
+++ 
@@ -7,3 +7,10 @@
 dversionmangle=auto \
 https://github.com/editorconfig/editorconfig-core-c/tags \
 .*?@ANY_VERSION@@ARCHIVE_EXT@
+
+opts=\
+filenamemangle=s/.*?(@ANY_VERSION@@ARCHIVE_EXT@)/@PACKAGE@-$1/,\
+dversionmangle=auto,\
+component=tests \
+https://github.com/editorconfig/editorconfig-core-test/tags \
+.*?@ANY_VERSION@@ARCHIVE_EXT@
