## editorconfig-core 0.12.9%2B~0.15.1

=== debian/changelog ===
editorconfig-core (0.12.9+~0.15.1-1ubuntu1) plucky; urgency=medium

  * Backport patch to fix tests by bumping the minimum CMake version
    (Closes: #1101186) (LP: #2104942)

 -- Alessandro Astone <alessandro.astone@canonical.com>  Mon, 31 Mar 2025 10:35:36 +0200

editorconfig-core (0.12.9+~0.15.1-1) unstable; urgency=medium

  [ upstream ]
  * new release(s)

  [ Jonas Smedegaard ]
  * update copyright info:
    + list secondary component as secondary Source
    + update and extend Upstream-Contact
    + update coverage
  * update watch file:
    + use distinct source package name for secondary component
    + track version of secondary component
  * update git-buildpackage config:
    + stop use deprecated section git-import-orig
    + filter any .git* file
    + use DEP-14 git branch names
    + set components (not component)
    + add usage comment
  * declare compliance with Debian Policy 4.7.0
  * drop patches obsoleted by upstream changes
  * unfuzz patches
  * simplify build;
    build-depend on dh-sequence-pkgkde-symbolshelper
    (not pkg-kde-tools)
  * build-depend on pkgconf (not pkg-config)

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 26 Jul 2024 12:15:35 +0200
