## editorconfig-core 0.12.9%2B~0.17.1

=== debian/changelog ===
editorconfig-core (0.12.9+~0.17.1-1ubuntu2) questing; urgency=medium

  * Remove parallelism at the dh level (LP: #2124947)
  * Revert "Fix ftbfs by preventing parallel install (LP: #2124947)"

 -- Simon Chopin <schopin@ubuntu.com>  Thu, 02 Oct 2025 16:18:43 +0200

editorconfig-core (0.12.9+~0.17.1-1ubuntu1) questing; urgency=medium

  * Fix ftbfs by preventing parallel install (LP: #2124947)
    Multiple subsequent dependent install() calls in docs creates races
   when building with -j8.

 -- Simon Poirier <simon.poirier@canonical.com>  Wed, 01 Oct 2025 18:43:29 -0400

editorconfig-core (0.12.9+~0.17.1-1) unstable; urgency=medium

  * Team upload
  * New upstream release (Closes: #1101186)
  * Simplify autopkgtests

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 11 Apr 2025 18:09:54 -0400
